@import (once) "../theme";

div.town-banner {
  background: black; border: 1px solid #b18a63; height: 80px; background-size: cover;

  &.town-banner-home {
    background: url("../../img/background/town/home.jpg") center/cover no-repeat;
    &.night { background: url("../../img/background/town/night_home.jpg") center/cover no-repeat; }
  }

  &.town-banner-well {
    background: url("../../img/background/town/well.jpg") center/cover no-repeat;
    &.night { background: url("../../img/background/town/night_well.jpg") center/cover no-repeat; }
  }

  &.town-banner-bank {
    background: url("../../img/background/town/bank.jpg") center/cover no-repeat;
    &.night { background: url("../../img/background/town/night_bank.jpg") center/cover no-repeat; }
  }

  &.town-banner-houses {
    background: url("../../img/background/town/houses.jpg") center/cover no-repeat;
    &.night { background: url("../../img/background/town/night_houses.jpg") center/cover no-repeat; }
  }

  &.town-banner-visit {
    background: url("../../img/background/town/visit.jpg") center/cover no-repeat;
    &.night { background: url("../../img/background/town/night_visit.jpg") center/cover no-repeat; }
  }

  &.town-banner-construction {
    background: url("../../img/background/town/construction.jpg") center/cover no-repeat;
    &.night { background: url("../../img/background/town/night_construction.jpg") center/cover no-repeat; }
  }

  &.town-banner-door-open {
    background: url("../../img/background/beyond/city_open.jpg") center/cover no-repeat;
    &.night { background: url("../../img/background/beyond/night_city_open.jpg") center/cover no-repeat; }
  }

  &.town-banner-door-closed {
    background: url("../../img/background/beyond/city.jpg") center/cover no-repeat;
    &.night { background: url("../../img/background/beyond/night_city.jpg") center/cover no-repeat; }
  }

  &.town-banner-workshop {
    background: url("../../img/background/town/agora.jpg") center/cover no-repeat;
    &.night { background: url("../../img/background/town/night_agora.jpg") center/cover no-repeat; }
  }
}

.town-menu {
  font-weight: bold;
  color: @myhordes-cell-header-text-color;
  font-variant: small-caps;
  &>.cell {
    &>div:first-child { width: 100%; padding-top: 55.1724138%; border: 1px solid black; }
    &>div:last-child {
      font-size: 1.1rem; padding: 1px 4px; background: @myhordes-cell-header-background-color; height: 20px;
      &>img { vertical-align: bottom };
    }
    cursor: pointer;
    &:hover {
      &>div:last-child { color: @myhordes-input-border; }
      outline: 1px solid @myhordes-input-border;
    }
    &.selected {
      &>div:first-child { background-color: #965C36 !important; }
      &>div:last-child { background: #965C36; color: white; border: 1px solid #693e29; };
    }
  }
  &:not(.night)>.town-menu-house>div:first-child { background: url("../../img/background/town/menu_home.gif") center/cover no-repeat }
  &:not(.night)>.town-menu-well>div:first-child { background: url("../../img/background/town/menu_well.gif") center/cover no-repeat }
  &:not(.night)>.town-menu-bank>div:first-child { background: url("../../img/background/town/menu_bank.gif") center/cover no-repeat }
  &:not(.night)>.town-menu-citizens>div:first-child { background: url("../../img/background/town/menu_houses.gif") center/cover no-repeat }
  &:not(.night)>.town-menu-construct>div:first-child { background: url("../../img/background/town/menu_construction.gif") center/cover no-repeat }
  &:not(.night)>.town-menu-door>div:first-child { background: url("../../img/background/town/menu_door.gif") center/cover no-repeat }
  &.night>.town-menu-house>div:first-child { background: url("../../img/background/town/menu_home_night.gif") center/cover no-repeat }
  &.night>.town-menu-well>div:first-child { background: url("../../img/background/town/menu_well_night.gif") center/cover no-repeat }
  &.night>.town-menu-bank>div:first-child { background: url("../../img/background/town/menu_bank_night.gif") center/cover no-repeat }
  &.night>.town-menu-citizens>div:first-child { background: url("../../img/background/town/menu_houses_night.gif") center/cover no-repeat }
  &.night>.town-menu-construct>div:first-child { background: url("../../img/background/town/menu_construction_night.gif") center/cover no-repeat }
  &.night>.town-menu-door>div:first-child { background: url("../../img/background/town/menu_door_night.gif") center/cover no-repeat }
}
.header-menu-chaos { background: url('../../img/background/town/chaos.gif') center/100% no-repeat; width: 100%; height: 60px; }

.row > .cell.town-addons {
  font-weight: bold; color: @myhordes-cell-header-text-color; font-variant: small-caps; display: flex;
  align-items: stretch; justify-content: space-evenly;

  & > .town-addon {
    height: 55px; width: 40px; flex-basis: 40px; flex-grow: 0; overflow: hidden;
    flex-shrink: 0; font-size: 1.1rem; padding: 0; cursor: pointer;
    margin: 3px; background-color: @myhordes-cell-header-background-color;

    &:nth-child(n+7) { display: none; }

    & > div {
      padding: 0; margin: 0; background-repeat: no-repeat; background-position: center; background-size: cover;
      height: 40px; width: 40px; border:1px solid @myhordes-panel-bg;
    }

    &:not(.selected):not(.town-addon-empty):hover > div {
      border:1px solid @myhordes-input-border;
      cursor: pointer;
    }

    &.selected {
      background: lighten(@myhordes-cell-header-background-color, 10%);
      filter: contrast(120%) brightness(120%);
      outline: 1px solid @myhordes-input-border;
    }

    & > span {
      display: block; padding: 1px 2px; text-align: center; text-overflow: ellipsis;
      line-height: 13px; height: 15px; font-size: 1rem; overflow: hidden;
    }

    &.town-addon-empty {
      background-color: transparent;
      &:hover > div, &:hover > span, &:hover { outline: none; cursor: initial; }

      & > div {
        height: 36px; width: 36px; margin: 2px;
        border: 1px dotted @myhordes-cell-header-background-color;
        background: repeating-linear-gradient( -45deg, #7e4a31 4px, #693e29 8px );
      }
    }

    &.town-addon-upgrade > div {
      background-image: url("../../img/icons/evo/smenu_upgrades.gif");
    }
    &.town-addon-workshop > div {
      background-image: url("../../img/icons/evo/smenu_workshop.gif");
    }
    &.town-addon-watchtower > div {
      background-image: url("../../img/icons/evo/smenu_tower.gif");
    }
    &.town-addon-battlement > div {
      background-image: url("../../img/icons/evo/smenu_watch.gif");
    }
    &.town-addon-dump > div {
      background-image: url("../../img/icons/evo/smenu_decharge.gif");
    }
    &.town-addon-catapult > div {
      background-image: url("../../img/icons/evo/smenu_catapult2.gif");
    }
  }
}

.town-upgrades,
.citizen-home {
  p {
    margin: 0;
  }
  & .vote-bar {
    margin-top: .25em;
    height: 1.25em;
    border: 1px solid #ddab76;
    background-color: #5c2b20;
    position: relative;

    & > * {
      height: 100%;
      position: absolute;
    }
    & .vote-progress {
      border-right: 1px solid #ddab76;
      background-color: #b37c4a;
    }
  }
}

.town-buildings {
  &>ul{
    background-color: #3e2417;
    list-style-type: none;
    font-size: 1.1rem;
    background-image: url("../../img/icons/home.gif");
    background-repeat: no-repeat;;
    background-position: 4px 2px;
    &>li {
      padding-bottom: 5px;
      &>em {
        color: #e7c48f;
        padding-left: 20px;
        font-style: normal;
      }
    }
  }
}

.watchtower-prediction {
  display: flex;
  flex-wrap: wrap;

  &>* {
    flex-basis: 100%;
  }
  & p {
    text-align: center;
  }
  & .watchtower-prediction-bar {
    margin-top: .25em;
    height: 1.25em;
    border: 1px solid #ddab76;
    background-color: #5c2b20;
    position: relative;

    & > * {
      height: calc(100% - 2px);
      position: absolute;
      top: 1px;
      left: 1px;
    }
    & .watchtower-prediction-progress {
      background-color: #b37c4a; border-right: 1px solid #ddab76;
    }

    & .watchtower-prediction-text {
      min-width: 4em;
      color: #ffffff;
      line-height: 1.25em;
      text-align: center;
      font-size: 1rem;
    }
  }
}

.citizens-list,
.messages-list {
  .row.header {
    font-weight: bold;
    background: linear-gradient(to top, #643b25 0%, rgba(100, 59, 37, 0) 50%, rgba(100, 59, 37, 0) 100%);
    font-size: 1.2rem;
    border-bottom: 2px solid #ddab76;
  }

  .row:not(.header) {
    &:hover {
      outline: 1px solid #EFDBAB;
    }
    font-style: italic;
  }

  .row.me {
    background-color: #423f54 !important;
  }

  .row.new {
    color: white;
    font-style: normal;
  }
}

#rows-send {
  display: none;
}

.linked-items {
  list-style-type: none;
  padding-left: 10px;
}

.nightwatch {
  .small {
    color: white;

  }
  .total div {
    background: #5c2b20;
    font-weight: bold;
    border-bottom: 1px solid #f0d79e;
    color: #f0d79e;
  }
}

.prof-list {
  margin-top: 10px;
  div {
    font-size: 1.2rem;
    background-color: #5c2b20;
  }
}

.citizen-chest {
  &>p {
    margin-top: 0;
    font-size: 1.2rem;
  }
  .notice {
    padding-left: 20px;
    padding-right: 5px;
    font-size: 1.1rem;
    color: #f0d79e;
    margin-top: 2px;
    background-image: url("../../img/icons/small_middot.gif");
    background-repeat: no-repeat;
    background-position: 3px 1px;
    background-color: #996739;
    cursor: pointer;
    &:hover {
      color: white;
    }
  }
}

.buildings {
  button {
    min-height: 20px;
  }
}

.dashboard {
  padding: 5px; background: @myhordes-cell-header-background-color;
  border: 1px solid darken(@myhordes-cell-header-background-color, 5%); color: @myhordes-smalltext;
  box-shadow: 0 0 10px rgba(0,0,0,0.3);
  font-size: 1.2rem;
  .attack-estimation, .def-estimation {
    border-left:1px dashed #7e4d2a;
    border-right:1px solid #ddab76;
    &.attack-estimation {
      .help {
        color: white;
      }
    }
  }

  em {
    color: @myhordes-cell-header-text-color;
  }

  .counter {
    color: white;
    font-weight: bold;
    font-size: 1.8rem;
  }
}

.words-of-heroes {
  min-height: 260px;
  padding: 5px;
  margin-top: 10px;
  background-repeat: no-repeat;
  background-image: url('../../img/background/town/cityBoard.png');

  .content {
    margin: 40px 0 0 5px;
    height: 190px;
    max-height: 190px;
    max-width: 240px;
    overflow: auto;
    color: #E4E3E8;
    font-size: 1.5rem;
    line-height: 11pt;
    font-style: italic;
    font-weight: bold;
    font-family: "Trebuchet MS", "Arial",Verdana, sans-serif;
    word-break: break-word;
    textarea, textarea:focus {
      width: 100%;
      overflow: hidden;
      background: #3b3249;
      border: 1px dashed #696486;
      color: #E4E3E8;
      font-size: 1.5rem;
      line-height: 11pt;
      font-style: italic;
      font-weight: bold;
      font-family: "Trebuchet MS", "Arial",Verdana, sans-serif;
      outline: none;
      padding: 0;
    }
  }
  .edit, .cancel {
    max-width: 240px;
    text-align: right;
    font-size: 1.2rem;
    color: #ddab76;
    &.disabled {
      text-decoration: line-through;
      font-weight: normal;
      color: grey;
    }
  }
}

.overview-list, .overview-checklist {
  padding-top: 10px;
  padding-bottom: 10px;
  font-size: 1.4rem;
  background-color: #996739;
  strong {
    color: white;
  }

  .separator {
    margin-top: 7px;
    padding-top: 5px;
    border-top: 1px solid #f0d79e;
  }
}

.overview-checklist {
  list-style: none;
  padding-left: 10px;
  li {
    padding-left: 20px;
    background: url("../../img/icons/tickOff.gif") 5px 5px no-repeat;
    &:hover {
      text-decoration: underline;
      color: @myhordes-smalltext;
      cursor: pointer;
    }
  }
  li.checked {
    background: url("../../img/icons/tickOn.gif") 5px 5px no-repeat;
    text-decoration: line-through;
    font-style: italic;
    color: #b37c4a;
    &:hover {
      text-decoration: underline line-through;
      color: @myhordes-smalltext;
      cursor: pointer;
    }
  }
}

.overview-list {
  list-style: url("../../img/icons/small_dot.gif");
  padding-left: 20px;
  .warning {
    color: #f86;
  }
}

.defense-detail {
  em {
    font-size: 1.2rem;
    color: #f0d79e;
  }
}

.gossips {
  margin-top: 5px;
  list-style: url('../../img/icons/small_dot.gif');
  padding-left: 20px;
  font-size: 1.3rem;
  background-color: #926739;
}

.citizen-box {
  border-left: 1px solid #7e4d2a; border-bottom: 1px solid #7e4d2a; overflow: hidden; text-overflow: ellipsis;
  .link {color: wheat;}
}

.citizen-box-name { background-color: #b37c4a; }
.citizen-box-name-me { background-color: #57536F; }
.citizen-box-name, .citizen-box-name-me {color: white !important;}

.citizen-box-name > span > .citizen-name {
  text-decoration: underline;
}

.small-citizen-defense {
  display: inline-block;
  margin-top: 7px;
  max-height: 20px;
}

.small-citizen-defense > .citizen-defense {
  font-size: 1.15rem !important;
}

.citizen-defense {
  font-size: 1.4rem;
}

.citizen-online {
  max-width: 6px;
  background-color: #bbcd7c;
  border-bottom: 1px solid #7e4d2a;
  margin: 0px 0px 0px 0px;
  position: relative;
}

.citizen-offline {
  max-width: 6px;
  background-color: #ba6767;
  border-bottom: 1px solid #7e4d2a;
  margin: 0px 0px 0px 0px;
  position: relative;
}

.citizen-dead {
  max-width: 6px;
  background-color: #b37c4a;
  border-bottom: 1px solid #7e4d2a;
  margin: 0;
  position: relative;
}

#gazette {
  .newspage {
    width: 435px;
    height: 360px;
    background-image: url('../../img/news/newsBg.gif');
    background-repeat: no-repeat;
    background-position: 0 0;
    display: inline-block;
    vertical-align: top;
    position: relative;

    &#newspage-front {
      margin-left: 20px;

      &>div {
        position: absolute;
        font-family: @myhordes-fixed-font;
        color: #3b3249;
      }

      div#gazette-headline {
        top: 12%;
        left: 6%;
        font-weight: bold;
        font-size: 110%;
      }

      div#gazette-content {
        top: 20%;
        left: 6%;
        font-size: 80%;
        &.day1 {
          font-style: italic;
        }
        p {
          margin: 0;

          &:first-letter {
            font-weight: bold;
            text-transform: uppercase;
            font-size: 120%;
          }

          i.dagger {
            font-family: serif;
            font-style: normal;
          }
        }
      }

      div#gazette-signature {
        font-size: 100%;
        font-style: italic;
        color: #5a5132;
        text-align: right;
      }

      div#gazette-deaths {
        top: 58%;
        left: 10%;
        font-size: 80%;
        width: 65%;
        height: 30%;

        &>div {
          padding-left: 10px;
        }

        #gazette-death-outside {
          margin-top: 3%;
        }

        .death-category {
          font-variant: small-caps;
          font-weight: bold;
          color: #3b3249;
          margin-left: -10px;
        }
      }

      div#gazette-tally {
        top: 65%;
        left: 75%;
        width: 20%;
        height: 20%;
        display: flex;
        flex-wrap: wrap;
        justify-content: center;

        .tally {
          width: 33%;
          height: 50%;
          background-repeat: no-repeat;
          background-size: contain;
          background-position: 50%;

          &.tally-1 {
            background-image: url('../../img/news/news_cpt_1.gif');
          }
          &.tally-2 {
            background-image: url('../../img/news/news_cpt_2.gif');
          }
          &.tally-3 {
            background-image: url('../../img/news/news_cpt_3.gif');
          }
          &.tally-4 {
            background-image: url('../../img/news/news_cpt_4.gif');
          }
          &.tally-5-1 {
            background-image: url('../../img/news/news_cpt_5_1.gif');
          }
          &.tally-5-2 {
            background-image: url('../../img/news/news_cpt_5_2.gif');
          }
          &.tally-5-3 {
            background-image: url('../../img/news/news_cpt_5_3.gif');
          }
        }
      }

      div#gazette-content {
        font-size: 80%;
        width: 80%;
        top: 20%;
        left: 7%;

        p {
          letter-spacing: -0.1em;

          span {
            font-weight: bold;
            text-decoration: underline;
          }
        }

      }

    }

    &#newspage-back {
      background-position: 100% 0;
      width: 419px;
      margin-left: -4px;

      &>div {
        position: absolute;
        font-family: @myhordes-fixed-font;
        color: #3b3249;
      }

      #gazette-attack, #gazette-empty {
        background-size: contain;
        background-position: 50% 0%;
        background-repeat: no-repeat;
        pointer-events: none;
      }

      #gazette-attack {
        &.opened {
          background-image: url('../../img/news/newsSchema_door.gif');
        }

        &.closed {
          background-image: url('../../img/news/newsSchema_classic.gif');
        }
        top: 13%;
        width: 97%;
        height: 35%;
        left: 0;
        padding-top: 22%;

        &.devast {
          background-image: url('../../img/news/newsSchema_door.gif');
        }

        .nightstat {
          font-size: 85%;
          position: absolute;
          text-align: center;

          &.nightstat-attack {
            top: 70%;
            left: 5%;
            width: 30%;
          }
          &.nightstat-defense {
            top: 70%;
            left: 40%;
            width: 30%;
          }
          &.nightstat-deaths {
            top: 70%;
            left: 74%;
            width: 25%;
          }

          .count {
            font-size: 125%;
            font-weight: bold;
          }
        }

        .invasion, .terror {
          font-size: 80%;
          display: inline-block;
          margin-top: .5em;
          color: #600;
        }
      }

      #gazette-empty {
        background-image: url('../../img/news/newsEmpty.gif');
        width: 90%;
        height: 100%;
        top: 25%;
      }

    }
  }
}

#gazette-switcher, #gazette-switch {
  display: none;
}

#gazette-role-list {
  background: @myhordes-cell-header-background-color;
  border: 1px solid @myhordes-input-border;
  padding: 4px;
  font-size: 1.2rem;
  color: #ffe3bf;
  p {
    margin: 0;
    strong {
      color: white;
    }
  }
}

#recipient_list {
  position: absolute;
  padding: 5px;
  background-color: #3b3249;
  border: 1px solid #ddab76;
  outline: 1px solid #5c2b20;
  z-index: 999;
  display: none;
  .list {
    overflow-y: scroll;
    max-height: 200px;
  }
}

.town-summary {
  font-size: 1.3rem;
  div {
    border-bottom: 1px solid #b37c4a;
    &.row-header {
      background-color: #b37c4a;
      font-weight: bold;
    }

    &.row-detail {
      color: #e3c699;
      background-color: #996739;
    }
  }
}

.clairvoyance {
  border: 1px solid #ddab76;
  font-size: 1.2rem;
  background-color: #4d5537;
  margin-bottom: 8px;
  padding: 5px;
}

.disposal {
  font-size: 1.2rem;
  em {
    color: #f0d79e;
  }
}